@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&family=Open+Sans+Condensed:wght@300;700&family=Ubuntu:wght@300;500;700&display=swap');


:root {
	--dialog--text--color:#252525;
	--dialog--headings--color:#494949;
	--color--rclightteal:#00a3ad; 
	--color--rcdarkteal:#007680;
	--color--rcgrey: #4b4f54;
	--color--rcblue: #003B5C;
	--color--ltblue: #EBF6FC;
	--color--mastery1: #5dc499;
	--color--mastery2: #3c9b73;
	--color--mastery3: #308360;
	--color--mastery4: #1f523c;
	--color--rec1: #c2c45d;
	--color--rec2: #8fc45d;
	--color--rec3: #5dc47c;
	--color--rec4: #5dc499;
	--font--computer: 'Ubuntu', sans-serif;
	--font--RC: 'Open Sans', sans-serif;
  }

/*

html {
    scroll-behavior: smooth; 
}

*/

:target:before {
    content: "";
    display: block;
    height: 100px;
    margin: -100px 0 0;
}

/* basic layout grid + flex */

body {
	margin: 0px;
	color: #333;
	font-size: 1.0rem;
	font-weight: 300;
	font-family: var(--font--RC);
}

h1 {
	line-height: 0.9em;
	color: var(--dialog--text--color);
	font-weight: 300;
}

sup, sub {
	vertical-align: baseline;
	position: relative;
	top: -0.4em;
  }
  sub { 
	top: 0.4em; 
  }

ol .listitem {
	font-size: small;
}

ol li {
	margin: 0.5em 0em;
}

#app {
	height: 100vh;
	  /* grid container settings */
	  display: grid;
	  grid-template-columns: 100vw;
	  grid-template-rows: auto auto 1fr auto;
	  grid-template-areas: 
		'header'
		'approach'
		'main'
		'footer';
}

#app > header {
	display: grid;
	grid-template-rows: auto auto;
	grid-area: header;
  }

#htop{
	display: flex;
    justify-content: space-between;
	align-items: stretch;
	background: rgb(0,59,92);
	background: linear-gradient(49deg, rgba(0,59,92,1) 34%, black 100%);
	box-shadow:  0px 0px 16px -5px var(--color--rcgrey);
	padding: 10px;
	color: white;
}

#htop nav {
	flex: 1;
    display: flex;
    justify-content: flex-start;
    margin-right: auto;
}

.topmen {
	justify-content: center;
    flex: 1;
    display: flex;
}

.topmen a,
.topmen a:visited {
	text-decoration: none;
	color: white;
}

.language-picker {
	flex: 1;
    display: flex;
    justify-content: flex-end;
    margin-left: auto;
}

.language-picker .menu_butt {
	padding-left: 1em;
}


.gsc-control-cse {
	-webkit-box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.75); 
	box-shadow: 0px 0px 15px 0px rgba(0,0,0,0.75);
}

.maineditors {
    margin-top: 0px;
    font-size: small;
    line-height: 0px;
}

#titlebar {
	display: flex;
    justify-content: space-between;
	align-items: center;
}

#mapbuttons {
	max-width: 100%;
	display: flex;
    justify-content: flex-start;
	align-items: center;
	padding-top: 0.5em;
	overflow-x: auto;
}


#mapbuttons > div {
	padding-right: 1em;
}


#titlebar_rs button {
	font-size: 0.6rem;
}

#mapbuttons button {
	padding: 0.5em 1em;
	white-space: nowrap;
	font-size: 0.7rem;
	border-right-width: 0px;
	-webkit-box-shadow: inset 0px 0px 15px 0px rgba(0,0,0,0.15); 
	box-shadow: inset 0px 0px 15px 0px rgba(0,0,0,0.15);
}

#mapbuttons button:last-child {
	border-right-width: thin;
}

#mapbuttons button.activemb {
	background-color: var(--color--rcblue);
    color: white;
	border-color: var(--color--rcblue);
	border-width:2px;
	border-right-width:2px;
	-webkit-box-shadow: 0px 5px 7px 3px rgba(0,0,0,0.62); 
	box-shadow: 0px 5px 7px 3px rgba(0,0,0,0.62);
	z-index: 1000;
}

#titlebar_ls p{
	font-size: 0.8em;
	line-height: 0.5em;
}


#titlebar_ls .chapauth {
	line-height: 1.2em;
}


#titlebar_rs {
	display: flex;
    justify-content: space-between;
	align-items: center;
}

#titlebar_rs > div {
	padding-left: 1em;
}


#hbottom{
	display: flex;
    justify-content: space-between;
}


#approach,
#drug {
	padding: 0px 10px;
	grid-area: approach;
	overflow-x:auto;
	/*scroll-behavior: smooth;*/
  }

#home
{
	padding: 20px 10px;
	grid-area: approach;
	display: flex;
	flex-direction: column;
	align-items: center;
	overflow-x:auto;
}

#home.d-none, 
.d-none {
	display: none;
}

#home > * {
	width: 500px;
}

#hometitle {
	display:flex;
	flex-direction: column;
    align-items: center;
}

#hometitle img {
	width: auto;
	max-width: 260px;
}

#hometitle h1 {
	line-height: 1.2em;
    text-align: center;
}

.sectgroup {
	
	padding: 1em;
}

.sectbuttons {
	padding-top: 1.0em;
    row-gap: 0.5em;
    display: flex;
    border-top: 1px solid black;
    flex-direction: column;
}

button {
	text-transform: uppercase;
	letter-spacing: 1.25px;
	font-size: 0.875rem;
	padding: 0.5em ;
	cursor: pointer;
	border: darkgrey;
    border-width: thin;
    border-style: solid;
	background-color: var(--color--ltblue);
}


.menu_butt {
	background-color: transparent;
    color: white;
    border: none;
    padding: 0px;
}

#map {
	position:relative;
	height: 535px;
	overflow-x: auto;
	overflow-y: hidden;
	scroll-behavior: smooth;	
}

#map > svg {
	border: #003B5C 1px solid;
}


@media not all and (min-resolution:.001dpcm)
{ @supports (-webkit-appearance:none) {

    a:focus g rect:first-of-type { 
    stroke: red;
    stroke-width: 4px;
	/*fill:yellow;*/
    }
}}


  
#app > main {
	display: flex;
	grid-area: main;
	overflow: auto;
  }
  
#drug,
#article,
#search {
	padding-left: 10px;
	padding-right: 10px;
	overflow: auto;
}
#app > footer {
	display:flex;
	background-color: #494949;
	color: white;
	font-size: x-small;
	grid-area: footer;
	padding: 5px 10px;
	background: linear-gradient(49deg, rgba(0,59,92,1) 34%, black 100%);
	justify-content: space-between;
  }

footer a {
	color: white;
}

#drug main,
#article main,
#search main {
	  max-width: 1200px;
	  display: flex;
	  flex-flow: column nowrap;
	  gap: 5%;
  }
#monograph {
	max-width: 75vw;
}

#mapoverview,
#taskdescription,
#deflist,
#resourcelist,
#tasklist {
	max-width: 1200px;
}

/* below 600 px wide breakpoint do this */

@media all and (max-width: 600px) {

#mapbuttons {
	flex-direction: column;
	align-items: stretch;
	gap: 5px;
}

#mapbuttons button {
	border-right-width: thin;
}

#mapbuttons button.activemb {
	border-right-width:2px;
}


	#chapauthors {
		display: none;
	}

	#home > * {
		max-width: 80vw;
	}
}

/* above 600 do this */

@media all and (min-width: 600px) {

	#drug main,
	#article main,
	#search main {
		display: flex;
		flex-flow: row nowrap;
		gap: 5%;
		align-items: flex-start;
	}
	.dmenu {
		margin-top: 20px;
	}
	
}
.dmenu {
	display:flex;
	flex-direction: column;
	  border: 1px solid var(--color--rcdarkteal);
	  padding: 10px;
	  margin-bottom: 20px;
	  align-items: center;
  }

.dmenu button 
	{
		font-size: 0.6rem;
	}

#drug_menu_list {
	padding-right: 10px;
}

.activetask {
	stroke: red;
    stroke-dashoffset: -3;
    stroke-dasharray: 4 3;
    stroke-width: 3px;
  }


 /* sort of helps svg on safari for focus but not really  
  .focus-visible > g rect:first-of-type {
	stroke: red;
    stroke-dashoffset: -3;
    stroke-dasharray: 4 3;
    stroke-width: 3px;
  }

  */

/* image related */

.imagepanel {
	display:flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: stretch;
	gap: 10px 30px;
}
.figure {
	flex-basis: 450px;
	border: darkgrey;
    border-width: thin;
    border-style: solid;
	padding: 0.8em;
}

.figure img {
  width: 100%;
  height: auto;
  max-width: 500px;
}

/*video related */
.videowrapper {
	position: relative;
	padding-bottom: 75%; /* 4:3 */
	height: 0;
  }
  .videowrapper .kWidgetIframeContainer {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
  }

/* tables */
.tablewrap {
	min-width: 375px;
	overflow-x: auto;
	border: 1px var(--color--rcblue) solid;
}

main table
 {
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
	border: 1px solid #ddd;
	margin-left: 0.4em;
	margin-right: 0.4em;
	margin-top: 0.4em;
	margin-bottom: 1.0em;
  }
  
  th, td {
	text-align: left;
	padding: 8px;
  }

  tr:nth-child(even){background-color: #f2f2f2}

  .drugtable, .drugtable th, .drugtable td {
	border: 1px solid;
	border-collapse: collapse;
  }

  /* panels */
.panel-danger {
    border: 1px solid #ebccd1;
	margin-top: 20px;
}
.panel {
  	margin-bottom: 20px;
    background-color: #fff;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
    box-shadow: 0 1px 1px rgb(0 0 0 / 5%);
}
.panel-danger > .panel-heading {
    color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
}

.panel-heading {
    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}

.panel-heading h2 {
    font-size: medium;
    max-height: 8px;
    margin-top: 5px;
    color: #0f3252;
}

.panel-title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 16px;
    color: inherit;
}

.panel-body {
    padding: 15px;
}
  /* Dialog */

  .dialog-container {
	max-height: 90vh;
	display: flex;
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	z-index: 2000;
  }
  
  .dialog-container[aria-hidden='true'] {
	display: none;
  }
  
  .dialog-overlay {
	position: fixed;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	background-color: rgba(43, 46, 56, 0.9);
	animation: fade-in 200ms both;
  }
  
  .dialog-content {
	overflow:auto;
	background-color: rgb(255, 255, 255);
	margin: auto;
	z-index: 2000;
	position: relative;
	animation: fade-in 400ms 200ms both, slide-up 400ms 200ms both;
	padding: 1em;
	max-width: 90%;
	max-height: inherit;
	width: 600px;
	border-radius: 2px;
  }

  .alert {
	color: #a94442;
    background-color: #f2dede;
    border-color: #ebccd1;
	padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
}
  

  #sitemenu-description {
	max-height: 70vh;
    overflow: auto;
  }
  
  @media screen and (min-width: 700px) {
	.dialog-content {
	  padding: 2em;
	}
  }
  
  @keyframes fade-in {
	from {
	  opacity: 0;
	}
  }
  
  @keyframes slide-up {
	from {
	  transform: translateY(10%);
	}
  }
  
  .dialog h1 {
	margin: 0;
  }
  
  .dialog-close {
	position: absolute;
	top: 0.5em;
	right: 0.5em;
	border: 0;
	padding: 0;
	background-color: transparent;
	font-weight: bold;
	font-size: 1.25em;
	width: 1.2em;
	height: 1.2em;
	text-align: center;
	cursor: pointer;
	transition: 0.15s;
  }
  
  @media screen and (min-width: 700px) {
	.dialog-close {
	  top: 1em;
	  right: 1em;
	}
  }


  
  /*
  * {
	box-sizing: border-box;
  }
  */
 
  h1 span {
	color: #e50050;
  }
  

  
  .link-like,
  a {
	color: #2984c2;
  }
  
  .link-like:hover,
  .link-like:active,
  a:hover,
  a:active {
	color: #e50050;
  }

  #chapinfo-title {
	margin-bottom: 1em;
  }

  
  .chapinf_labels {
	  font-weight: 700;
  }
  /* -------------------------------------------------------------------------- *\
   * Helpers
   * -------------------------------------------------------------------------- */
  
  .link-like {
	background-color: transparent;
	text-decoration: underline;
	border: 0;
	margin: 0;
	padding: 0;
	font: inherit;
	cursor: pointer;
  }
  
  
  /* -------------------------------------------------------------------------- *\
   * Form styling
   * -------------------------------------------------------------------------- */

  
  @media screen and (min-width: 700px) {
	form {
	  display: flex;
	}
  }
  
  form label {
	font-weight: bold;
	margin: 5px 10px 5px 0;
	vertical-align: middle;
  }
  
  form input {
	font: inherit;
	padding: 0.25em;
	border: 1px solid silver;
	width: 100%;
	margin: 0.25em 0 1em;
  }
  
  @media screen and (min-width: 700px) {
	form input {
	  flex: 1;
	  border-right: 0;
	  width: auto;
	  margin: 0;
	}
  }
  
  form button {
	background-color: #81c784;
	color: white;
	border: 0;
	font-family: inherit;
	font-size: inherit;
	padding: 8px 15px;
	cursor: pointer;
	transition: 0.15s;
	display: inline-block;
  }
  
  form button:hover,
  form button:active {
	background-color: #66bb6a;
  }
  
  .sr-only:not(:focus):not(:active) {
	clip: rect(0 0 0 0); 
	clip-path: inset(50%);
	height: 1px;
	overflow: hidden;
	position: absolute;
	white-space: nowrap; 
	width: 1px;
  }

  .visually-hidden {
  position: absolute;
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0,0,0,0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}

  /* Material icons */

  .material-symbols-outlined {
	font-variation-settings:
	'FILL' 0,
	'wght' 300,
	'GRAD' 0,
	'opsz' 24
  }

/** SEARCH STUFF */


.result {
    margin-bottom: 3.0em;
    line-height: 1.4em;
}

.result_loc {
	display: block;
	font-size: small;
	line-height: 0.3em;
}

/* the GSearchControl CSS Classes
 * .gsc-control: the primary class of the control
 */
 .gsc-control {
	width: 300px;
  }
  
  .gsc-control div {
	position: static;
  }
  
  /* Slight reset to make the preview have ample padding. */
  .gsc-control-cse {
	padding: 1em;
  }
  
  .gsc-control-cse,
  .gsc-control-cse .gsc-table-result {
	width: auto;
	font-size: 13px;
  }
  
  .gsc-control-wrapper-cse {
	width: 100%;
  }
  
  /* control inputs
   * .gsc-search-box: the container that hosts the text input area
   * .gsc-input: the text input area
   * .gsc-keeper: the save link below savable results
   */
  form.gsc-search-box {
	font-size: 13px;
	margin-top: 0;
	margin-right: 0;
	margin-bottom: 4px;
	margin-left: 0;
	width: 100%;
  }
  
  /*
   * This table contains the input element as well as the search button
   * Note that the search button column is fixed width, designed to hold the
   * button div's background image
   */
  table.gsc-search-box {
	border-style: none;
	border-width: 0;
	border-spacing: 0 0;
	width: 100%;
	margin-bottom: 2px;
  }
  
  table.gsc-search-box td {
	vertical-align: middle;
  }
  
  table.gsc-search-box td.gsc-input {
	padding-right: 12px;
  }
  
  .gsc-search-button {
	width: 1%;
  }
  
  .gsc-search-button-v2 svg {
	fill: #fff;
  }
  
  /* Firefox button fix */
  button::-moz-focus-inner {
	padding: 0;
	border: 0;
  }
  
  .gsc-clear-button {
	width: 14px;
  }

  .gsc-search-button {
	margin-left: 2px;
  }
  
  .gsc-clear-button {
	display: inline;
	text-align: right;
	margin-left: 4px;
	margin-right: 4px;
	padding-left: 10px;
	background-repeat: no-repeat;
	background-position: center center;
	background-image: url('//www.google.com/cse/static/css/v2/clear.png');
	cursor: pointer;
  }
  
  .gsc-clear-button:hover {
	background-image: url('//www.google.com/cse/static/css/v2/clear-hover.png');
  }
  
  .gsc-search-box-tools .gsc-clear-button {
	display: none;
  }
  
  
  input.gsc-input {
	padding: 1px 6px;
	border: 1px solid #ddd;
	width: 99%;
  }
  
  .gsc-search-box .gsc-input>input:hover,
  .gsc-input-box-hover {
	border: 1px solid #b9b9b9;
	border-top-color: #a0a0a0;
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, .1);
	outline: none;
  }
  
  .gsc-wrapper {
	position: relative;
	display: block;
  }
  
  .gsc-thinWrapper {
	width: 69%;
	float: left;
	overflow: hidden;
  }
  
  .gsc-wrapper.gsc-thinWrapper {
	border-right: 1px solid #e9e9e9;
  }
  
  .gsc-control-cse .gsc-option-selector {
	border: none;
	height: 11px;
	margin-top: -4px;
	position: absolute;
	right: 5px;
	top: 12px;
	width: 7px;
	padding: 0 5px 0 5px;
	background: url(//ssl.gstatic.com/ui/v1/disclosure/small-grey-disclosure-arrow-down.png) center no-repeat
  }
  
  .gsc-control-cse .gsc-option-menu-container {
	color: #000;
	font-size: 80%;
	position: relative;
  }
  
  .gsc-control-cse .gsc-option-menu {
	background: #fff;
	border: 1px solid #eee;
	border: 1px solid rgba(0, 0, 0, .2);
	box-shadow: 0 2px 4px #eee;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
	cursor: default;
	font-size: 13px;
	margin: 0;
	max-height: 360px;
	outline: none;
	padding: 6px 0;
	position: absolute;
	right: 0;
	top: 0;
	z-index: 7;
  }

  /* Search input */
  .gsc-input {
	font-size: 16px;
  }
  
  /* Hide clear input X added by MSIE. */
  .gsc-input::-ms-clear {
	display: none;
	height: 0;
	width: 0;
  }
  
  .gsc-input-box {
	border: 1px solid #bbb;
	background: #fff;
  }
  
  .gsc-search-box .gsc-input>input:focus,
  .gsc-input-box-focus {
	border: 1px solid #bbb;
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, .3);
	outline: none;
  }
  
  /* Search button */
  .gsc-search-button-v2 {
	font-size: 0;
	padding: 6px 27px;
	width: auto;
	vertical-align: middle;
  
	border: 1px solid #000;
	border-radius: 2px;
	margin-top: 2px;
  
	border-color: #000;
	background-color: #333;
	background-image: linear-gradient(top, #333, #333);
  }
  
  .gsc-search-button-v2:hover {
	border-color: #000;
	background-color: #333;
	background-image: linear-gradient(top, #333, #333);
  }
  
  .gsc-search-button-v2 svg {
	fill: #fff;
  }
  
  
  

  
  
  

  

  